package com.ruoyi.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.domain.Standard;
import com.ruoyi.mapper.StandardMapper;
import com.ruoyi.service.StandardService;
import com.ruoyi.web.request.StandardListRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class StandardServiceImpl extends ServiceImpl<StandardMapper, Standard> implements StandardService {

    @Autowired
    private StandardMapper standardMapper;

    /**
     * 分页查询
     * @param request
     * @return
     */
    @Override
    public List<Standard> findList(StandardListRequest request) {
        return standardMapper.findList(request);
    }

    /**
     * 根据id查询
     * @param id
     * @return
     */
    @Override
    public Standard findListById(Long id) {
        return standardMapper.findListById(id);
    }
}
